summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin271096 -> 271097 bytes
-rw-r--r--dev-python/bandit/Manifest2
-rw-r--r--dev-python/bandit/bandit-1.7.6.ebuild42
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.33.11.ebuild64
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.33.11.ebuild68
-rw-r--r--dev-python/docker/Manifest2
-rw-r--r--dev-python/docker/docker-7.0.0.ebuild56
-rw-r--r--dev-python/elasticsearch/Manifest2
-rw-r--r--dev-python/elasticsearch/elasticsearch-8.11.1.ebuild71
-rw-r--r--dev-python/google-auth/Manifest2
-rw-r--r--dev-python/google-auth/google-auth-2.25.2.ebuild60
-rw-r--r--dev-python/greenlet/Manifest2
-rw-r--r--dev-python/greenlet/greenlet-3.0.2.ebuild43
-rw-r--r--dev-python/mkdocs-material/Manifest2
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.5.1.ebuild67
-rw-r--r--dev-python/pandas/Manifest3
-rw-r--r--dev-python/pandas/files/pandas-2.1.4-khash-dep.patch45
-rw-r--r--dev-python/pandas/pandas-2.1.4.ebuild221
-rw-r--r--dev-python/python-socks/Manifest2
-rw-r--r--dev-python/python-socks/python-socks-2.4.4.ebuild46
-rw-r--r--dev-python/quantities/Manifest2
-rw-r--r--dev-python/quantities/quantities-0.15.0.ebuild40
-rw-r--r--dev-python/stripe/Manifest2
-rw-r--r--dev-python/stripe/stripe-7.8.1.ebuild73
-rw-r--r--dev-python/xarray/Manifest2
-rw-r--r--dev-python/xarray/xarray-2023.12.0.ebuild83
28 files changed, 1006 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 3d092b9ec890..c84a2042b8a0 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/bandit/Manifest b/dev-python/bandit/Manifest
index 336424f98615..3d8b02581515 100644
--- a/dev-python/bandit/Manifest
+++ b/dev-python/bandit/Manifest
@@ -1,3 +1,5 @@
DIST bandit-1.7.5.tar.gz 1970878 BLAKE2B 45787b6d1ebebb5ce25fa67173095a0e97b6f95992d828530cfade8c7f50d0c7b945884539695426f93cf3ed6a42178e18501768aa32c3b0c7019eb20aa3bc95 SHA512 81b93654ba62e6d22e8c2d534b9f575979bad4f66acd90c221d214316cd1863e7c7e179b8e2a2a8fa80034db71ebda8636adb25b36e1827194bb4639e67ada09
+DIST bandit-1.7.6.tar.gz 1977532 BLAKE2B 2580641ee0e19364d36988ff3757a55bd7ff8c0a3e47d564873940b5f9c1b8335a2eb724c9394ff76e341a766054bec27ef296a9502fec60d96a5eb65a015f4b SHA512 6635704e2e60e23f5d21de345152e13ef1bde5efb92ccc0e6dde46e8405c1e5dd9530830af4d2a3c5d6e0bb0eb106ccce4cde3a7be678cce499486e752a26428
EBUILD bandit-1.7.5-r1.ebuild 1083 BLAKE2B 7a1a4a6674e301e554a76137eeeab070f961d51a476d96d6e81f2a49016daf1413d73ac37bfe0fa9017e1e31d188f8cb9184f3a33cd47cc38e9beb226ea1fe03 SHA512 d9d5854d1e014ed42430e2f7152054ea4d8ab91e66f9dbe31818d9cae462f98e86a4235ed0108079a451583fb27bb365398f83f2cf7b6bc8ec826024dd5293ae
+EBUILD bandit-1.7.6.ebuild 1082 BLAKE2B 51e85cd54f3fea21fefdff43db2e238b6d5e497472e06063811c8eeb3e4950b426b808b092df40e5e55826fd456dac540cb0d84908ed50c1529a7f7df9db9c7f SHA512 c7757ae421bddd366e11a3a370361dff23b80a584fb5ce5bea6d73a7e65806f62ab3fd812ba51cd297cf4569979c62eb5ab3931af28418e1c9edaeb2a17f6acf
MISC metadata.xml 810 BLAKE2B 6f836d0afbb33f233618f056a9d4161cbdafe93abbed2f321e4e799bb75a86e2c4cc27cd43e74d05e1a15496ecf52e6a575ecd8dd4ae463ee37f742331b0086d SHA512 e3dc0280839cb1a54a2585fd6fe19fce66ceff73a7e010479e99e9631c224851b303d577b5de0ba62bc94b78b9b75b30c0103421441bba9753e4231bc3914481
diff --git a/dev-python/bandit/bandit-1.7.6.ebuild b/dev-python/bandit/bandit-1.7.6.ebuild
new file mode 100644
index 000000000000..ffa1485a066a
--- /dev/null
+++ b/dev-python/bandit/bandit-1.7.6.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A security linter from OpenStack Security"
+HOMEPAGE="
+ https://github.com/PyCQA/bandit/
+ https://pypi.org/project/bandit/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/GitPython-3.1.30[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/beautifulsoup4-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pylint-1.9.4[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+ ' 3.10)
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 4cef6c2226d7..3d4a4b6bc623 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,6 +1,7 @@
DIST boto3-1.29.3.gh.tar.gz 737012 BLAKE2B 4282de0bbe03b61cf6884b08cf0a16e93c1e27a0323d2eee93277f8ac62f5ef440612292ebc245f13de0bbac9c156cae0cd5c76e8ae5b7d018a125cd49a682df SHA512 e42064e2c825376dfe2a5aa0c92715d06d6d29c3cf8b194d8742c688a4743e216ba32111bba080d88505907e48ff26086106eaef62fa5048f34fcbf08355ab60
DIST boto3-1.29.6.gh.tar.gz 738684 BLAKE2B a42245ddc7a0f31329057016f47739fc4071a030dca1ced347b447860e9397e3c8bae8c70ca86629a4b6b3f403ed845887340e6aeb08fe33c006dea9cd3f6317 SHA512 551a3568f3ceb1f37c7d209e7aa011dbd87d01e02f7559f15563bbd06da6d7a1ff79a1a5ed8150cfbc183cd1c56041a1e36753939142962f056348362665c118
DIST boto3-1.33.10.gh.tar.gz 753779 BLAKE2B 8c46c6459574307c9ed4700afd1dd3e67e308f5c911422fe8942cd2b6cf7cc20a067f52e6aaa65748c4edaaf73d9fe8904da2f5523c067dbb4676b4c13a9613c SHA512 9c8e75464754741732c1865c00f8d74bb50a0e1edd0c90645c92230e21ea28f55c3eff1fa7a80e616999fd0b063fd287d36838a12a828bcc6e6bd0a77205393d
+DIST boto3-1.33.11.gh.tar.gz 754430 BLAKE2B f206c6eeb9859af85f09bb48298b941fc0c969446766638c612fa1e88e19b8f9a99ec2ecbb8565a40432cc7a7f5362459af7488a172f4bca3179385d82742feb SHA512 03f37d99b70d857d2d72e81e02fe3afb64d3139adde80db0bf3a2f78ce8fa33c5cc6965a8dbfd267b263711c73c355d69d7e629eb7f28e6bdccf5480ca9c9810
DIST boto3-1.33.6.gh.tar.gz 752467 BLAKE2B f0f344a9e93ff3ad1dd03b44784a41637d05961855e2cd0700dbb840f98940f387cf81d1eb36cc63579be810f5a7d52c49cdb3831e930f89b1b2026af1e4b357 SHA512 1d3d2dd734621cf94e88015273f6fd4d68ec956145eb2b91fe34920f9abe7786a64e2e7f4057db30e71574e392fff9190944c3d9e6143fd43c5e48f04e9eb2ae
DIST boto3-1.33.7.gh.tar.gz 752960 BLAKE2B 2da4ddbf62008e7fe1b2f49eb1358e417ac3fb9ad80ccc18ad5be85b747f96060679a6bf466d970e62fa0bc3c3c91bab6516e8de5b14c6cca79e35be34ddf0d2 SHA512 5102d564cd749684ccab50a5de1782f07dbe1a5bb037f6f037e44e9fb8c1800f996faca855457976a65c49a38b9472d16ea288f140d946e50057a18a0c179b78
DIST boto3-1.33.8.gh.tar.gz 753219 BLAKE2B 8b6bc4c1d7e5a70f8061a7a966b3b9504e1c6cca604c7f7597ce7a1a05e213b903501c22d1d101fd814055cb112b7f690699ac714238743a64010d88724a3086 SHA512 7bbca4cee2610a5db246e9496bcb936b3266cb05b5aa8c919a06d824980bfbd7b974f9621bf13ce3efb78471b05968909558d94d941bd8764c1b67da25229e08
@@ -8,6 +9,7 @@ DIST boto3-1.33.9.gh.tar.gz 753813 BLAKE2B d194759a15d514b40530e2935c2423f4ab567
EBUILD boto3-1.29.3.ebuild 1485 BLAKE2B fc702d3fd55d9c57599926d1e33f65863cd9a14b64aada18aab25ebac3b941904f0c709ded91eff33b7adc235aa649fd75da799a8538706c71cf6170786031e9 SHA512 11d46b930fb64352f68e31a34569d05e0dac9e5446a10a2b3e277b94f4a00b8be84e8e70b6938c6f63327d4d2012d294c98871d5f6d07e0974b654aeb100c0c1
EBUILD boto3-1.29.6.ebuild 1492 BLAKE2B b917bb04deee77e6b65688e46eb6a2a0bf4c4550311821f0e1ec4fe1031430d56c7052b322ad1ed8bda21caf84d18770ed0aa44357870687af79fc8795ca999b SHA512 d72328e959f9a4567bc5aab853ed06f353d5248cb4158f02fbc49684f6065c9108101d7cc3a541e6d292014c2ffd142b00b3a729a0c82ed8fb9d28b1f5d68ba0
EBUILD boto3-1.33.10.ebuild 1392 BLAKE2B 4c573992b5d17568bcb702c0bf35cfdcebf2b914834cfaa8fd4ab9a4b7a97313659c4b4adf2ee67da3d4d18a717cddce26819a9de3d4364f4fd5c626257ab7b4 SHA512 3cb3544f613b65537105f83c1218ce1649807e56b9f4a03447d87958e02f3ca62c8a1c614732976925d876e0dc08a921222a67f82c47a892861d5bcd382ed800
+EBUILD boto3-1.33.11.ebuild 1392 BLAKE2B 4c573992b5d17568bcb702c0bf35cfdcebf2b914834cfaa8fd4ab9a4b7a97313659c4b4adf2ee67da3d4d18a717cddce26819a9de3d4364f4fd5c626257ab7b4 SHA512 3cb3544f613b65537105f83c1218ce1649807e56b9f4a03447d87958e02f3ca62c8a1c614732976925d876e0dc08a921222a67f82c47a892861d5bcd382ed800
EBUILD boto3-1.33.6.ebuild 1392 BLAKE2B 4c573992b5d17568bcb702c0bf35cfdcebf2b914834cfaa8fd4ab9a4b7a97313659c4b4adf2ee67da3d4d18a717cddce26819a9de3d4364f4fd5c626257ab7b4 SHA512 3cb3544f613b65537105f83c1218ce1649807e56b9f4a03447d87958e02f3ca62c8a1c614732976925d876e0dc08a921222a67f82c47a892861d5bcd382ed800
EBUILD boto3-1.33.7.ebuild 1392 BLAKE2B 4c573992b5d17568bcb702c0bf35cfdcebf2b914834cfaa8fd4ab9a4b7a97313659c4b4adf2ee67da3d4d18a717cddce26819a9de3d4364f4fd5c626257ab7b4 SHA512 3cb3544f613b65537105f83c1218ce1649807e56b9f4a03447d87958e02f3ca62c8a1c614732976925d876e0dc08a921222a67f82c47a892861d5bcd382ed800
EBUILD boto3-1.33.8.ebuild 1392 BLAKE2B 4c573992b5d17568bcb702c0bf35cfdcebf2b914834cfaa8fd4ab9a4b7a97313659c4b4adf2ee67da3d4d18a717cddce26819a9de3d4364f4fd5c626257ab7b4 SHA512 3cb3544f613b65537105f83c1218ce1649807e56b9f4a03447d87958e02f3ca62c8a1c614732976925d876e0dc08a921222a67f82c47a892861d5bcd382ed800
diff --git a/dev-python/boto3/boto3-1.33.11.ebuild b/dev-python/boto3/boto3-1.33.11.ebuild
new file mode 100644
index 000000000000..8123b4a12a79
--- /dev/null
+++ b/dev-python/boto3/boto3-1.33.11.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.8.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 8f4decedfbb0..9c7ab12c8738 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,6 +1,7 @@
DIST botocore-1.32.3.gh.tar.gz 12176739 BLAKE2B b119a54fb4770757c8f2c75b7404e009be1c7b35598d8a97e892aa644bbcc301b5f6bb44fa0f37bc8f4523af5ca9771daeda877937e640dd557038c8283967e1 SHA512 398127e140edc33750553f33a14cdc140048f5ee03c162705c6681b9bf08d871c9ba29f824ba2b6f1b11592260c6f0614ab4c06464cdda98172e8ca81bce73e9
DIST botocore-1.32.6.gh.tar.gz 12201067 BLAKE2B 434581b5047aca3909b586c49b01085ed1cbad972b63156521f675c09f3934e04f6583bf543bfd772127afa6fb59ad993229306456ac10e8dc86dd3bb7c430bb SHA512 e175e23452d6956b995ff93a16ffc992cebcfae76e5a7671f60d719e3e8a2692d873f0e8d8830780ddc11f45ebea7a555d0917da5b33ff8249936dce106c7fed
DIST botocore-1.33.10.gh.tar.gz 12524381 BLAKE2B 8c0fe3e14a55ff579eaf71fc533d28a6994ae9b13991ce5b41a4bce2a11544e80f08d27ffac9bc2d584ae0c2cd2847d5b183b7b3833a44fe37b6f3989b9d74b6 SHA512 cd419fb545b6028ee2c2692183299b8378a970d355ec2f2b6c0f1c9469c485ddf6113baf41455b30fe38afd0724c7ef0cf686178b7f93d6c298c4b1d1195ec75
+DIST botocore-1.33.11.gh.tar.gz 12536159 BLAKE2B bce09ad1b93210667e3c1058ab3b4350b752e330c78c29af87c53b3f3f738dd7622b1b670a4fdbfa2dfdeaf763f9885b3f82ad0eb4f44c7e7585ae5b8eaa6b5d SHA512 5d790bbb909230861cf2eb38908f5876ab9bd7e5dd1f718987797af0b263c7ea2c42d69aa1d55b66d1b954204caa04c50cd050385607637192e9ad6b33f65b7d
DIST botocore-1.33.6.gh.tar.gz 12516087 BLAKE2B da3ca22acb5b6ee27eb3c0f7dab4ad43597ab985aa7512f4f4a51c2ca3db80a049e13faaf986dd4a02125f92c088129506651125a826184656250665dc7b7128 SHA512 cae5019d85c9b3afcfd93fe58d0e51c5a6e0769d58b2a8b1285a34ce66be8db34e9c5dc4dc74ff72e0992cdd142d101e3663fa1d68a2779fa9c09de37d2f2001
DIST botocore-1.33.7.gh.tar.gz 12519396 BLAKE2B dde3ea6432d55e14c4c57adc9153857872a556379cce0a37e08c460c676f31658d4e74b354b44514fc9dc8154cf2683b5889dc9659a867af67ef48dd393cf6f3 SHA512 4704ff247983f4492f95b919876caffa8414a6b710e76defcc23a7a08ab3056f5631b3a1698f8e402a0ca6f69ad5d9d91a4cd18c6d3d0ebce650dea8db3ee917
DIST botocore-1.33.8.gh.tar.gz 12518729 BLAKE2B fb74eaa99bc9b62d0616585c934a45d73a7573544708f6d163288428aa19fbda3f09ef36ba65c310bf4f00cac1c932ff2ed0baf2dfbbeb823b791417d1dad0ab SHA512 c983750b922866e6457b42adfb9661f426d1285e1cab1ad16064c95ed6a79a5bd67882e7014e5dba7c630bbcf95b634349515e9c1b57de9142a94d767f38de66
@@ -8,6 +9,7 @@ DIST botocore-1.33.9.gh.tar.gz 12521140 BLAKE2B 3b2f58d11f13123c49ef674be3dfa403
EBUILD botocore-1.32.3.ebuild 1517 BLAKE2B e056da584f834fcb5026f593a9187a613e82f1a6cb8df7b6fff6a997b971905e62ee8cfe8c99a0dbf1a6c514499860d8cb0a0d27e9155715ec07de46a8d8b325 SHA512 f5fd3af7a1209b7ecd8e7b8ac4aad92ae0db0477678d02c88394aeb7b9d1984e6c0975cbc4d006cc2df480f7fbec625ad8dd660edabf148dd44c2785085b9366
EBUILD botocore-1.32.6.ebuild 1524 BLAKE2B 8a2471391e1a0e596e0b8d72ee09df50c3763a3d03db51169f45b1b571ba3df97eef93a43374b196ced5e1dc978bc2f3de52099675a6b19c1d5fe933922466b3 SHA512 bdde6ff5fcea64cad2e42bf6b2e8cb49f096ed5b17c321246651936878ff07347f4fea7805bb7083053aab2014c3e4a50fefcb727e89ccee3aa6a5860d71b249
EBUILD botocore-1.33.10.ebuild 1524 BLAKE2B 8a2471391e1a0e596e0b8d72ee09df50c3763a3d03db51169f45b1b571ba3df97eef93a43374b196ced5e1dc978bc2f3de52099675a6b19c1d5fe933922466b3 SHA512 bdde6ff5fcea64cad2e42bf6b2e8cb49f096ed5b17c321246651936878ff07347f4fea7805bb7083053aab2014c3e4a50fefcb727e89ccee3aa6a5860d71b249
+EBUILD botocore-1.33.11.ebuild 1524 BLAKE2B 8a2471391e1a0e596e0b8d72ee09df50c3763a3d03db51169f45b1b571ba3df97eef93a43374b196ced5e1dc978bc2f3de52099675a6b19c1d5fe933922466b3 SHA512 bdde6ff5fcea64cad2e42bf6b2e8cb49f096ed5b17c321246651936878ff07347f4fea7805bb7083053aab2014c3e4a50fefcb727e89ccee3aa6a5860d71b249
EBUILD botocore-1.33.6.ebuild 1524 BLAKE2B 8a2471391e1a0e596e0b8d72ee09df50c3763a3d03db51169f45b1b571ba3df97eef93a43374b196ced5e1dc978bc2f3de52099675a6b19c1d5fe933922466b3 SHA512 bdde6ff5fcea64cad2e42bf6b2e8cb49f096ed5b17c321246651936878ff07347f4fea7805bb7083053aab2014c3e4a50fefcb727e89ccee3aa6a5860d71b249
EBUILD botocore-1.33.7.ebuild 1524 BLAKE2B 8a2471391e1a0e596e0b8d72ee09df50c3763a3d03db51169f45b1b571ba3df97eef93a43374b196ced5e1dc978bc2f3de52099675a6b19c1d5fe933922466b3 SHA512 bdde6ff5fcea64cad2e42bf6b2e8cb49f096ed5b17c321246651936878ff07347f4fea7805bb7083053aab2014c3e4a50fefcb727e89ccee3aa6a5860d71b249
EBUILD botocore-1.33.8.ebuild 1524 BLAKE2B 8a2471391e1a0e596e0b8d72ee09df50c3763a3d03db51169f45b1b571ba3df97eef93a43374b196ced5e1dc978bc2f3de52099675a6b19c1d5fe933922466b3 SHA512 bdde6ff5fcea64cad2e42bf6b2e8cb49f096ed5b17c321246651936878ff07347f4fea7805bb7083053aab2014c3e4a50fefcb727e89ccee3aa6a5860d71b249
diff --git a/dev-python/botocore/botocore-1.33.11.ebuild b/dev-python/botocore/botocore-1.33.11.ebuild
new file mode 100644
index 000000000000..05766e84276c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.33.11.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/docker/Manifest b/dev-python/docker/Manifest
index 270e3cb1db52..4d8130c854a9 100644
--- a/dev-python/docker/Manifest
+++ b/dev-python/docker/Manifest
@@ -1,3 +1,5 @@
DIST docker-py-6.1.3.gh.tar.gz 253192 BLAKE2B b5a54d2bcbb4a89e4861bbf59a9b4565886f5541a518f66691ae205b7581f73af9fe6d491af299b0295f39b4a6e6248871b16e25ea5650fabbeafb7ced6cdaf7 SHA512 ba6ade2487afb8f68606b7d78c0f0dc83ffde622444a9598a5c647d0176695171040c5d1115fb8db6d97cb062a24d552d043274a56923b0eae0f64d98cb92c30
+DIST docker-py-7.0.0.gh.tar.gz 252188 BLAKE2B 64df988c8ece4fc0199731206b7f85554841e4c60ea10f1044c1d5f0dc52286e9da36280bfc468933bbae1f8efaa0fd44afaedf732001cd3d7a2c05879d6a467 SHA512 1ddfdc6d533d9e623baf8bbf1243272d6e511c2bb356c82d9401e566733794d38aa34df151788f1ad807fe7ba0144cc428e0b7f74acd888a58afc61c09c6d09c
EBUILD docker-6.1.3.ebuild 1296 BLAKE2B 8d6fdc5b18eb425a08bf720ce93db42f664302e89c7cdb2fc6da96746103de4a7b129188775dbf0048a38877db9c67c89826c1a0a10e31ceaaae008cd7bcc76a SHA512 759c07eefc51f45b00ba49a76187429197da4c0a87b16e1ed33a4fde161f744780d7e88037af9ae1523c072dce011c453bd36cc1bcd7b31d98b2d312ad86a43b
+EBUILD docker-7.0.0.ebuild 1231 BLAKE2B b0d3d9bbefc166359d28625bb471941f4f6e2958b7fe551ec2a663b24f9d46c8a8bd443d884c635331cd2f49f2428c77e14ec9f31b36390ba28956e62a361050 SHA512 6a596fa00290f464db61966e65792c5e52253a1942f5fa5b19897245827e1d64d47b237cd59481c8393dc07cf8117d4ca95458c2450f48ede4d0683c94a7541e
MISC metadata.xml 432 BLAKE2B d57abab67aa69fa94d65ad06263fd9aa748e9c918d51750b613b6a22fffbd3642c8b1e01ebf521edff10d082c9e41329b3234b981283e3ca8bb07ddee7f97dd5 SHA512 b7d9c322623a2e68902def06d10d8f2a3c18d231a36383b52f80001ef2a2161633a66950afd7ad60f07e5d666d15d1fab738e46fce42ab221ad2e1e0b2fb600a
diff --git a/dev-python/docker/docker-7.0.0.ebuild b/dev-python/docker/docker-7.0.0.ebuild
new file mode 100644
index 000000000000..e75b77815095
--- /dev/null
+++ b/dev-python/docker/docker-7.0.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=docker-py-${PV}
+DESCRIPTION="Python client for Docker"
+HOMEPAGE="
+ https://github.com/docker/docker-py/
+ https://pypi.org/project/docker/
+"
+SRC_URI="
+ https://github.com/docker/docker-py/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-14.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26.0[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/paramiko-2.4.3[${PYTHON_USEDEP}]
+ >=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ 'dev-python/myst-parser'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # localhost has a better chance of being in /etc/hosts
+ sed -e 's:socket[.]gethostname():"localhost":' \
+ -i tests/unit/api_test.py || die
+
+ distutils-r1_src_prepare
+
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ epytest tests/unit
+}
diff --git a/dev-python/elasticsearch/Manifest b/dev-python/elasticsearch/Manifest
index 64ce434b8aa9..1003e7c5979a 100644
--- a/dev-python/elasticsearch/Manifest
+++ b/dev-python/elasticsearch/Manifest
@@ -1,3 +1,5 @@
DIST elasticsearch-py-8.11.0.gh.tar.gz 897889 BLAKE2B de1821f17c16198c8b85b863e06468715fb080b4e9354499bd4fc5c485dc81bb3747ee73bd5e26edcab71922d67699cbaba79b35a900b80020532bac805e5727 SHA512 914e909f5f2d6ee980d3cff981d1d605d9380211014381e9e998af46d52e0fc0568524c7c9e8d8fed710b855acdb15b1eeb0bcdb59607b67f2f8f99546a1bda8
+DIST elasticsearch-py-8.11.1.gh.tar.gz 902628 BLAKE2B 7a1d780ff9f326567b4023f4a87b2a3be430428c00c528d255502d36623b7d1d6e0811f50a03471254eb79fb1e4146ad24402f202c862cafb44ec16fbcdb454f SHA512 e2efbd3e0658180768a35b601e7bef2748390ce12419f82cdfb1656968666fcc6ae71411d4e88eb155b315d8d8197f65c3e25e6f1e18f04e6459662cf80ab12a
EBUILD elasticsearch-8.11.0.ebuild 2075 BLAKE2B 14ed493b4df750127118b0d1632ce3e755e58ff12f4f33395786b6822d163ab3c844f003d55b55635b8f7f57f6d87d0f963179bda8fc444a42ef8db364614ec2 SHA512 da36f77e4556c5e5e900a3e0ac1165e2c11a385f60aed20c1056876a7c8a512bf2efc22fabe9606ce1df7479714d32ff11739fbab680a6474dce0c210a46a5d7
+EBUILD elasticsearch-8.11.1.ebuild 2077 BLAKE2B 45ac7ef522aa8927d41126ead24091a8ceb2c3275cc349ca6911a690b0569343505cf3a629c45ca19113628539c32b206b0291452de4cabd6e4a2d64c217f91a SHA512 9b46844dcd2fc13fe40e3e501199207ff36d651f5113bd74d043694c16d61738d4437d9f3977801395901ce2bedcca247733b164a009a358bddc00b29655377a
MISC metadata.xml 563 BLAKE2B 55aa4f1e346ef660c4c8c5bf53518685e68fea80787d4a4175405e67c2b6e9c31d14fd48577c48c82ed59651c32110d4dbbd907ce29b599ca3bddddd1b5e808a SHA512 142657aca39d615755acb7cd6bdaa920935640ce1e3f00a241bb2a41ce2745fd73e341b80edf3fd830e9c9796285df1d69e62b868252602b6ff9e1ff6a2be599
diff --git a/dev-python/elasticsearch/elasticsearch-8.11.1.ebuild b/dev-python/elasticsearch/elasticsearch-8.11.1.ebuild
new file mode 100644
index 000000000000..59a9b7acf2e5
--- /dev/null
+++ b/dev-python/elasticsearch/elasticsearch-8.11.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P="elasticsearch-py-${PV}"
+DESCRIPTION="Official Elasticsearch client library for Python"
+HOMEPAGE="
+ https://ela.st/es-python
+ https://github.com/elastic/elasticsearch-py/
+ https://pypi.org/project/elasticsearch/
+"
+SRC_URI="
+ https://github.com/elastic/elasticsearch-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0/$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/aiohttp-4[${PYTHON_USEDEP}]
+ >=dev-python/aiohttp-3[${PYTHON_USEDEP}]
+ <dev-python/elastic-transport-9[${PYTHON_USEDEP}]
+ >=dev-python/elastic-transport-8[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mapbox-vector-tile[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ dev-python/unasync[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # REST api tests are a black hole for effort. It downloads the tests
+ # so its an ever moving target. It also requires effort to blacklist
+ # tests for apis which are license restricted.
+ "test_elasticsearch/test_server/test_rest_api_spec.py"
+ # Counting deprecation warnings from python is bound to fail even
+ # if all are fixed in this package. Not worth it.
+ "test_elasticsearch/test_client/test_deprecated_options.py"
+ # Running daemon for tests is finicky and upstream CI fails at it
+ # as well.
+ "test_elasticsearch/test_server/"
+ "test_elasticsearch/test_async/test_server/"
+)
+
+distutils_enable_sphinx docs/sphinx \
+ dev-python/sphinx-autodoc-typehints \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts= -p asyncio
+}
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 7c77b1646d7b..eee1b91a40f4 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,7 +1,9 @@
DIST google-auth-2.23.4.tar.gz 233560 BLAKE2B 3d058c9c16af4f982aac7411b306eeace70f17d23b7043328c235bff5233e79360cc5a9ca24b06e33d318606acd331b33fef14c7574338f9ac3caee3088c4f35 SHA512 561cff5003f5b6e37a0ab4fa4c827646bb9b3fee3dc500214b88ec3fc7203022f487abaee315751fb7d90b4ed9a9d9d0ab6f3dc7d3336d9df9d4b45e6146bc2f
DIST google-auth-2.24.0.tar.gz 234771 BLAKE2B 05111637ae26529b9345ef1f3ce8334bbcfc782e93d560749205a18e50075593573130e6ba3d33e79cd0190305ae382d44aac071c12ab67df7a8064a041220f2 SHA512 e4987b8e52be45e2fd2906525e1a4645f73b2322a6d7055f9b9c00555f4ffe05b7cda6e21cbf9f491e1e0f2b43772050017b7473b24a92cf5ca6ae6e589a15e0
DIST google-auth-2.25.1.tar.gz 235616 BLAKE2B 48dc210069bef63e8620d5d28931877f34cb0d2a1bcdc593f9424e519700441ee469c6e4cb69757706409c3beb12ccb39bb4c4953d9f21a5da78e72e357824c7 SHA512 11d71091627c72abce4db7b5c4d779fa89c38005fae7a39508851029fe297d00d302297f34e3c5e70c299708394db7acdc3066253655e24581ba681a655f508b
+DIST google-auth-2.25.2.tar.gz 235648 BLAKE2B 527dada4cff9139ef2b90874aafe085e7b92f4edecfa3dfb6cf26a40e8470f68451fdc88bf5a9ce92144b7448ee4a32a011069b62d6ee02d0885db1ceb319f22 SHA512 2f03dbe6664cfd7086da82154a8fbea6cb97f3f05992faa0fc11399248d645eafa0b63e4f45e248ff73de693c15050f3dfa7060b0f46c8b22919619d5ebb82e2
EBUILD google-auth-2.23.4.ebuild 1477 BLAKE2B 9a156c2e5af7b16648efe235670c5b24df704194647c63b288bd8a6784316357148c9bbc5c9dba4d0bce746218bb70695bcd4f469df5d7b28bd8deb8930de45a SHA512 d3d91b3213fb3183f6993b520ffeaf931d069449126c20b3870493e3d0330bf7f1e8dfa47f34b69035234095bc257e7b297aa3328cdfe4b6eb87e94d0ec7b903
EBUILD google-auth-2.24.0.ebuild 1480 BLAKE2B 79680b9d542cdafceb202bf0e1f49d7c654957aa7f186e8bd61ad53dd11ce2ab0b431d7e66ae012485ebe334161d4d3a8513f1237356500aa338d580c42bfcd2 SHA512 e7a800bf2b76574ee015da9753edcd18f4a9a7cb2953ee43f2712a7ee0d1a8164d900a790a5787af106d057fa6c9e0b8686a7077b956f31e0a71386e162476d6
EBUILD google-auth-2.25.1.ebuild 1480 BLAKE2B 79680b9d542cdafceb202bf0e1f49d7c654957aa7f186e8bd61ad53dd11ce2ab0b431d7e66ae012485ebe334161d4d3a8513f1237356500aa338d580c42bfcd2 SHA512 e7a800bf2b76574ee015da9753edcd18f4a9a7cb2953ee43f2712a7ee0d1a8164d900a790a5787af106d057fa6c9e0b8686a7077b956f31e0a71386e162476d6
+EBUILD google-auth-2.25.2.ebuild 1480 BLAKE2B 79680b9d542cdafceb202bf0e1f49d7c654957aa7f186e8bd61ad53dd11ce2ab0b431d7e66ae012485ebe334161d4d3a8513f1237356500aa338d580c42bfcd2 SHA512 e7a800bf2b76574ee015da9753edcd18f4a9a7cb2953ee43f2712a7ee0d1a8164d900a790a5787af106d057fa6c9e0b8686a7077b956f31e0a71386e162476d6
MISC metadata.xml 521 BLAKE2B 784282f6a173e7746a408556d77e1277f65a41eae545b6b26054c1e506642e683c1c7d91798f3b7b690bc4f9d2f642a51c1395593177eebf1770d2a0c0ba589e SHA512 c2624ebca3dc42961e61531db4724b2b354a722f71cd7f2c194680fee50125d2251f4b94cc7e31b008a2792e74b0f55f407a1230d3f59572df9cf32ee49d2fb7
diff --git a/dev-python/google-auth/google-auth-2.25.2.ebuild b/dev-python/google-auth/google-auth-2.25.2.ebuild
new file mode 100644
index 000000000000..3136de42f585
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.25.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/greenlet/Manifest b/dev-python/greenlet/Manifest
index 1ddeb27f8e6a..3efef020419c 100644
--- a/dev-python/greenlet/Manifest
+++ b/dev-python/greenlet/Manifest
@@ -1,7 +1,9 @@
DIST greenlet-2.0.2.tar.gz 164980 BLAKE2B 1afa8390e96d7eeafd84a4323a4eb9e4b2cad50a3e6654b1609702a5a74dfb5dadc7a1ff81cc8e7718d0587728c2ec944069db8241f1aa0723d2f98e6911ddb6 SHA512 03d0b2764c52524c97930a7bd856a432360a96ddbe3d1f2352ec49750994e6811fd28378f83b96cac91520234d0a6e9e56232ff688c71ff57f6340d3d182635b
DIST greenlet-3.0.0.tar.gz 174704 BLAKE2B d2bcb1760091434369032e26923a18c158b4d58b852f8db5c4f1a41e141723048553366879662760ca0390ee8b438e1b4c9df0fc4f2ea7f3bf25afa41d434a28 SHA512 422f6b525acbe9909fe8103635ecd83485ec753cc879c2e5c194ba0f35161412331cc00bc29c1221c69101feb84604737b215b2f3edbc397f7fada05c6fec20c
DIST greenlet-3.0.1.tar.gz 174825 BLAKE2B a2c210ec558772aa0ade9255fa7b149e69cde3cb210cfdea3c1977377a80c0a535dac53306a1eb1c08f247b0da5205aa56b64d6564646572199ef6af0c4817ab SHA512 67d74352802331642eba0917550a75e9bc2a7d223bc0ce4ee7993d05197b4d0650813439e7c495baf2309303740cd21e60a157e634aafff470332a685603ffec
+DIST greenlet-3.0.2.tar.gz 175506 BLAKE2B 46064ca54c43b513b274a91b56744afd7fabe7659416938efe11337c5e031dadae2e0ca275df7731180dad799eab5b0c0dfa15d17e977c278a88f698328e57cf SHA512 901e1a918017878b150c845a180ed366f35dbb9d89b155df1dad4e2ee581c4a327ffad9d17ab221172ca151cd460521a7dca48b3ee64a33bf2e442949a30ecb3
EBUILD greenlet-2.0.2.ebuild 965 BLAKE2B c051c6170e8b14c0f0ad391ebb444b2a1282f0a64f07054d550d3caea74c07e63a24327a023adf4a7a23458d51566149555d68cba08ce1acef269efc9c5576cf SHA512 477b7e85a4f39dfb4102fe35ef2ed045ccebea44102faae595655dc9e0464c98345a923055dabf9cea6f44cc0fcd839d40dc0164339c61bff7d4a9b31af7912a
EBUILD greenlet-3.0.0.ebuild 973 BLAKE2B 4a3cec990f1a4b6e5c5918fc8a6a0bdca215739178e7eca84ae0f5f429d171bcb3d487f1539fadc02500c0b63b2f393417bd966f8171bbd2ef248772eb96eb05 SHA512 533a10f956ce5e6b8bbec1abeda36ecb2005fad50e1520e4d65ea4e23f00bc265f8331c923421c9b72446fe5858ac257093947b43817120ed60b0c4c59c4e64e
EBUILD greenlet-3.0.1.ebuild 1034 BLAKE2B 6a2d24e29830f67d8d0107bdff3ba6759efa76b90e0fc7a83e77bd77d21683de44400dfe0e3195b4ec109a5073d5a934f760a74a498dbbbe61dba3ffaac533c7 SHA512 be362199ad2ecd906ef47db8dc95846b8ca68affa29a9c5c29d6d80678a914717d706d7e987a5423f3d0b64f060014349cb8d29e285166e1f15d2d2f81945185
+EBUILD greenlet-3.0.2.ebuild 1038 BLAKE2B 75e4bef2ae7e107bf77946ba6092264079045b8b81c7b574823869670302ca91ab1fd2dc3165fce3566aa4ce3e8d0e42685c2da25299d12af1e39c1d515a1aed SHA512 0516be7014e54dd94a9b347f6d5dd780c02b85a1cf11eb11f2f3ae1af5fd001dc42be618c40da2bffb27f131967c7370f2adb7d088cab410a328d45b5f1ec4d3
MISC metadata.xml 388 BLAKE2B db0aba92c5c405fa5736f97c2db14319514e95296ad11aa9aac26e95bdb630961e2ae430cbfcdf2b72425c805b83556f3dda6983dde075be3cb0a3f7d0a45e8f SHA512 3b9003e181f15b46ddd5af3e4a6012f115ca42be0bf2f4e40c0fbb196231de8a5b1320d402de6d4105f61d7e4fd5d868131404796cea19a7547a53ee17c26ce1
diff --git a/dev-python/greenlet/greenlet-3.0.2.ebuild b/dev-python/greenlet/greenlet-3.0.2.ebuild
new file mode 100644
index 000000000000..2f57c793a5af
--- /dev/null
+++ b/dev-python/greenlet/greenlet-3.0.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+# Note: greenlet is built-in in pypy
+# py3.12: https://github.com/python-greenlet/greenlet/issues/368
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Lightweight in-process concurrent programming"
+HOMEPAGE="
+ https://greenlet.readthedocs.io/en/latest/
+ https://github.com/python-greenlet/greenlet/
+ https://pypi.org/project/greenlet/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 -hppa -ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+BDEPEND="
+ test? (
+ dev-python/objgraph[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # patch cflag manipulations out
+ sed -i -e 's:global_compile_args[.]append.*:pass:' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ eunittest greenlet.tests
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index f30c03bf9035..5fc053a381e1 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,6 +1,8 @@
AUX mkdocs-material-8.5.7-simplify-build.patch 529 BLAKE2B 60a246940983ca713b370b454fff74a36dedf1aec175e72455255b35164f75f7eb79144cff67df4b1ec143a4e19b043042c9bce562456133c917c27018c4862a SHA512 51b18f3faa4a3adfc9cf8ad1fa5fd63f787a3b2b9c9769b5889a2abab621ff6e14e034487f5573418405b26bc11155e44f7c6d50acea8baf9f45164fb3ec7984
DIST mkdocs-material-9.4.14.gh.tar.gz 14563700 BLAKE2B 313698c16f79cc11fc9aa2905313871605f683fad32073e956402728e0b51cbd2788947c11711eb1fc9a0addb8cdc1d7382703cc5a6684a72541f40a1afb699f SHA512 1102c1003562af2fc7126d85d8e5b0556cd240d6c56273f811947bbfc650fd7554b8b979ab9e14a43ed3dc44688c7ce277e28fdd4cbb6787b83b9f76d80a3bbf
DIST mkdocs-material-9.5.0.gh.tar.gz 14621790 BLAKE2B 3c9f7b7cc656cd25953d021b2914884f2ede145b8c4cece0ec55013ee955a25d8ad4021de0abf3fd340b0bbc996ca42fe1391752febe7dad464da232c7d1892b SHA512 5c9b695877d14ce53fa66c1f4b4416e1d79ee227817b1a113406f83f37fd8d1fc122f5554c2159e24967864dd258329cfa564944f1ffbff863650a6ccad5af90
+DIST mkdocs-material-9.5.1.gh.tar.gz 14622279 BLAKE2B 81df1c8f0d50ae32d7efdbaeda3b4825edd167d4290ba4b199dac3c04965e361707def8bee17bada2cd6ec86c28e36c2a16dfcd748b592fef10d0392e224a864 SHA512 b97948f54f37d0f365f515976857cad5717058f258f505f18f7000f02cc9a20a084832fe62e8f1f3fd51f360769535962116b7a221e5f054fa05ddfc8821db58
EBUILD mkdocs-material-9.4.14.ebuild 1793 BLAKE2B af99b89dcc68b994459126ce3a22f8287c41dc1caf1a725f93be5267d91c7cafe6b1a2b279375ed59fd0b25c1f53dd6073575cda0c67738e2a5f0dcf41ad2686 SHA512 5645081adb65c1ca201f7ddb0fb3d28d9e6413cecc5b241130c44d5bbdfd742dac7430b66f672a70d34d8f5c3920927c27b0362e912b2f0d6afd71e86a42dce2
EBUILD mkdocs-material-9.5.0.ebuild 1796 BLAKE2B f7f9efd29bfdc35912c86e1e9e043820d80f9ee4eb5ff045c412db5ec658c4c9bbc19440867cf5c18e5ef88a0ad7f28b603c00dbfd92424eab42a02289eac031 SHA512 cc54ce62ec41a881d149ac89ba90cce1959a1d1dae7100959303bd15d874bc56435dcaf1fd30e3993e721326841d6e55f5a25f9218dea57f33318e0b252f410a
+EBUILD mkdocs-material-9.5.1.ebuild 1796 BLAKE2B f7f9efd29bfdc35912c86e1e9e043820d80f9ee4eb5ff045c412db5ec658c4c9bbc19440867cf5c18e5ef88a0ad7f28b603c00dbfd92424eab42a02289eac031 SHA512 cc54ce62ec41a881d149ac89ba90cce1959a1d1dae7100959303bd15d874bc56435dcaf1fd30e3993e721326841d6e55f5a25f9218dea57f33318e0b252f410a
MISC metadata.xml 1146 BLAKE2B c9eb031eb40f303fdcc39f891cdd2d4317075deb030d0f8374f874ecd63bf73960427eb3ee485b5b28515f58689b1e1bf977ee7b565bf8f9275b115853044f2c SHA512 01db399842cb09af4823278f84fcf8c51ed42609a2e61d8e64964e1759e14d22ed2f32ec0565f19184575089a218dad4939337798cd3a5b39f5be55f5f7edb69
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.5.1.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.5.1.ebuild
new file mode 100644
index 000000000000..4bb3a9a57338
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.5.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/Babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.3[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.16[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-10.2[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-9.0[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/trove-classifiers-2023.10.18[${PYTHON_USEDEP}]
+"
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.2[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pandas/Manifest b/dev-python/pandas/Manifest
index 227b8a963eb4..414e0f0a79e9 100644
--- a/dev-python/pandas/Manifest
+++ b/dev-python/pandas/Manifest
@@ -1,11 +1,14 @@
AUX pandas-2.1.1-which.patch 393 BLAKE2B d5a988d64efbe28a1d2e533eae2d2ac88a31a08697a112682af1fce07429fff7e7846fe378d6ab487cf8aebf30b357c022763f5fc578e6b90c7ced1ea1af97f1 SHA512 3e7895561aab74e3b3afbad46f371f97fa4ae7b7f8158961896114a9c62e9a4544e81f9cdce983029809a95cc23350bb9698d8b4acc92f34e3a5b844b7811edb
+AUX pandas-2.1.4-khash-dep.patch 1970 BLAKE2B fcd7b7426156de6061831a4a88c29a129cd2e860e8df33b44c4824a0dad448f088b0636cf5d9cfbc12894855580be990a30574e3a2374167240bf69239075dd5 SHA512 7a3a4bb61f4578b9a9b32134d5ff4c2772a387fcc77ec3c71a62bf9b33874c51a15e4f9097e922a1ac669cc150acd2d2f6ab086f759b838694105d5fd17a9a31
DIST pandas-1.5.3.tar.gz 5203060 BLAKE2B 846a6caa8ead6a2556303494f92e2091582d8fcde2aee424fa172c4e29c189a7305261f6a931a20249e969668646ff4a3d605ee1b57785fa3677dfbd137b3602 SHA512 3c725c33dcaf78b952d2eb966ced73ff0073162a01d3cbcb722d58d8f12a82163e6e684c27284c735bdfb32dea263b960f70f6a80ff93e6b316316d40835ae35
DIST pandas-2.1.1.tar.gz 4266250 BLAKE2B 9d8256300db65b606e34b16d7f3884b602794fe3c14d66115056db4a4658603fbe7a7a3082dfc781760517d643d6e21a6d4d43441131ec6aed5965b6fa8a0e9c SHA512 346e13e06805948c569712028c9b8d756c67ca2fab040999a51a4e759206d50d8ee25be38ac3c7cb3d2e692a02d85c1ec198841311fe43cb04b64f2741627a4e
DIST pandas-2.1.2.tar.gz 4271419 BLAKE2B 2f22035c9b7d6a0403b28ebe506550328e096f0ed87984dba28d2f49950393ed8a5a3c0c71c5391385d9f5361319431d5de3736f7381eb7670045415b05137a7 SHA512 dad04f1fcc5a59485c34ebfed0698fd47ad9eeffafaddf91642c084f4ffde8a55ce543f9dadb6e7a5066b1809489961d34fe3fe8860f64f9bd2d90b445d92063
DIST pandas-2.1.3.tar.gz 4272855 BLAKE2B 73717926bb0af44acb9a2d12964df7bf70affd61ca19468b3af4376f9c8084d3612895a9ac5117be97658fd5b7ff0275cd7b2c6f1b9b0e00afb951fd50a1f103 SHA512 71012b47b76444e19507e444c8ef88497e3b286856690216886cbb67ad70786c2f5014a7cf6c89f8378769560109fb5593a8c82c21a034a1059769e15c843b92
+DIST pandas-2.1.4.tar.gz 4274800 BLAKE2B 71cd374964d5e751a9ea0b29cb341d7de521de8de3bbe0963fc821eb6fa2babf2a5cb87c0f49fab88fd451bd331d83fd216f199c75876d7c1ea367ba53c20178 SHA512 de02944829ea4df6a3913788c2ae30683504d70a1cef5789c927245dab8700981edd50de18af3619d30ac97f4658fce67f6c7637acf496bd464ad3a4109bfd1c
EBUILD pandas-1.5.3.ebuild 7208 BLAKE2B fff882d8fa0b073fc458773aff5c2b722dd71da4169f9f9d2976ba45808356203b91d89964a23175cec16399455ec746dce28dd009d2bf502f7901c475f37575 SHA512 c4856c03c7239d3a9abecb78230c329a93d193f84ffeb5373b147c761c131d447d1bd7633f3fc8fb94c79d7dca93f9c3aa77b8ff24a0b875b1acf8a661c993d5
EBUILD pandas-2.1.1-r1.ebuild 8997 BLAKE2B 83b58674a2d1438f6f519768591307ba02a5fa36ad217cefec514cd83e0a8691cd52ffab68cb31dd359129edac75f3e3a0d1c8727ede6b655e145e9448343780 SHA512 06d20f7de75e0d71c83fab958a56f1f41eb9e22d6356b1807f04ae394608f502452949e61ea78bc924d0f24fb8160c5b9ee46969e2b0f0d182997c6e38699549
EBUILD pandas-2.1.1.ebuild 8640 BLAKE2B bbe6beafa3ad8f31bd18c9bc81974b881bf73c5c998d7c971cf4f8e97966c82d090b393eddc27ffc2d994fdab17eb7406a0752e5ff5ffb7601a6d92841ed8960 SHA512 2b900d7af96cd1842be557df89f44bf99e9e82e141a5b269e54027a1a588c53d91e2c13c6cb0fbaf4c36204078114ce497cd66e97445385eae5bd86daef10034
EBUILD pandas-2.1.2.ebuild 9010 BLAKE2B 97e206b691fd170cc2bff25fdc752da4b55ec3f881f54a2dff7db60484b2968bcbe4a9277bf000b6d30716e6afe8a544a067fb3ff099e47788f964b1e9232568 SHA512 a6718cefaec96d59e4d0d6b7ed23d2645074237a7a43c5bcd42058467dfb48ef4521ef00a6e5724b31f3ad31cf9b5851b099ed4961d27277f88a52be85ffe6fc
EBUILD pandas-2.1.3.ebuild 8969 BLAKE2B ce3e49dcd527352a8bfcc6390d38d69857eebb7627561519d17a754cef5f275164849e2528fe9f662de6c45f5d736821d62cfb25cd62e68f07e35c28dce418b1 SHA512 2f31371bbcde6c6aad89abfb0c40c90853663468c974ed0e5de23d877a051bd713980ddf19133ef5336729a66ea01491d9c594b03a810122e66ae0291b03c21e
+EBUILD pandas-2.1.4.ebuild 9189 BLAKE2B 4a3f9326950bfe522c5fe05219c315736004077cccfb6b68d8b0e7dc0ff98c19bc4e83af3563ffc1fd08e98c71616569e55ab7363668f34b418310d8c5ce231c SHA512 d0e7458f0fb7435d1ea017d6c9e87a8e2c1b19623006c8769dca626039e6d45ae7edd635ef9d89bb56f29a774a838a7ebf10bd77f9e544619fad2f978246cd03
MISC metadata.xml 920 BLAKE2B d6bd854acdd851d578038657d91adaedf4f220dbdc5905ebba5e35e74437c6d5bc2384061f7796a6f359aa128c526485635debfd0e1a9646d09daed740167c87 SHA512 dcd949e89cae9df918acb3cf8be5ad8c396ee5e646d2179aa2b646fafa15ffc11e9ccf853df8d7fdcc787f88ce7063639d8d87715aaba943774edc8ad98b540a
diff --git a/dev-python/pandas/files/pandas-2.1.4-khash-dep.patch b/dev-python/pandas/files/pandas-2.1.4-khash-dep.patch
new file mode 100644
index 000000000000..f8bbff5fed37
--- /dev/null
+++ b/dev-python/pandas/files/pandas-2.1.4-khash-dep.patch
@@ -0,0 +1,45 @@
+From e31a6865958442435ae9b31f312129c44f66eb5e Mon Sep 17 00:00:00 2001
+From: Ville Aikas <11279988+vaikas@users.noreply.github.com>
+Date: Mon, 6 Nov 2023 09:24:40 -0800
+Subject: [PATCH] Add missing dependencies for: _khash_primitive_helper
+ (#55795)
+
+* Add missing dependencies for: _khash_primitive_helper
+
+Signed-off-by: Ville Aikas <vaikas@chainguard.dev>
+
+* source->dep change.
+
+Signed-off-by: Ville Aikas <vaikas@chainguard.dev>
+
+* Remove dep from arrays.
+
+Signed-off-by: Ville Aikas <vaikas@chainguard.dev>
+
+---------
+
+Signed-off-by: Ville Aikas <vaikas@chainguard.dev>
+---
+ pandas/_libs/meson.build | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/pandas/_libs/meson.build b/pandas/_libs/meson.build
+index b4662d6bf8dd2..c27386743c6e9 100644
+--- a/pandas/_libs/meson.build
++++ b/pandas/_libs/meson.build
+@@ -61,12 +61,12 @@ subdir('tslibs')
+ libs_sources = {
+ # Dict of extension name -> dict of {sources, include_dirs, and deps}
+ # numpy include dir is implicitly included
+- 'algos': {'sources': ['algos.pyx', _algos_common_helper, _algos_take_helper, _khash_primitive_helper]},
++ 'algos': {'sources': ['algos.pyx', _algos_common_helper, _algos_take_helper], 'deps': _khash_primitive_helper_dep},
+ 'arrays': {'sources': ['arrays.pyx']},
+ 'groupby': {'sources': ['groupby.pyx']},
+ 'hashing': {'sources': ['hashing.pyx']},
+- 'hashtable': {'sources': ['hashtable.pyx', _khash_primitive_helper, _hashtable_class_helper, _hashtable_func_helper]},
+- 'index': {'sources': ['index.pyx', _index_class_helper]},
++ 'hashtable': {'sources': ['hashtable.pyx', _hashtable_class_helper, _hashtable_func_helper], 'deps': _khash_primitive_helper_dep},
++ 'index': {'sources': ['index.pyx', _index_class_helper], 'deps': _khash_primitive_helper_dep},
+ 'indexing': {'sources': ['indexing.pyx']},
+ 'internals': {'sources': ['internals.pyx']},
+ 'interval': {'sources': ['interval.pyx', _intervaltree_helper],
diff --git a/dev-python/pandas/pandas-2.1.4.ebuild b/dev-python/pandas/pandas-2.1.4.ebuild
new file mode 100644
index 000000000000..f4a73c081111
--- /dev/null
+++ b/dev-python/pandas/pandas-2.1.4.ebuild
@@ -0,0 +1,221 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+VIRTUALX_REQUIRED="manual"
+
+inherit distutils-r1 optfeature pypi virtualx
+
+DESCRIPTION="Powerful data structures for data analysis and statistics"
+HOMEPAGE="
+ https://pandas.pydata.org/
+ https://github.com/pandas-dev/pandas/
+ https://pypi.org/project/pandas/
+"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="full-support minimal test X"
+RESTRICT="!test? ( test )"
+
+RECOMMENDED_DEPEND="
+ >=dev-python/bottleneck-1.3.4[${PYTHON_USEDEP}]
+ >=dev-python/numexpr-2.8.0[${PYTHON_USEDEP}]
+"
+
+# TODO: add pandas-gbq to the tree
+# TODO: Re-add dev-python/statsmodel[python3_11] dep once it supports python3_11
+# https://github.com/statsmodels/statsmodels/issues/8287
+OPTIONAL_DEPEND="
+ >=dev-python/beautifulsoup4-4.11.1[${PYTHON_USEDEP}]
+ dev-python/blosc[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.1[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.1.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-3.6.1[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-3.0.7[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.4.36[${PYTHON_USEDEP}]
+ >=dev-python/tables-3.7.0[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.8.10[${PYTHON_USEDEP}]
+ >=dev-python/xarray-2022.3.0[${PYTHON_USEDEP}]
+ >=dev-python/xlrd-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/xlsxwriter-3.0.3[${PYTHON_USEDEP}]
+ >=dev-python/xlwt-1.3.0[${PYTHON_USEDEP}]
+ !hppa? (
+ $(python_gen_cond_dep '
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ ' python3_{8..10} )
+ >=dev-python/scipy-1.8.1[${PYTHON_USEDEP}]
+ )
+ X? (
+ || (
+ >=dev-python/PyQt5-5.15.6[${PYTHON_USEDEP}]
+ >=dev-python/QtPy-2.2.0[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+ )
+"
+DEPEND="
+ >=dev-python/numpy-1.23.2[${PYTHON_USEDEP}]
+"
+COMMON_DEPEND="
+ ${DEPEND}
+ >=dev-python/python-dateutil-2.8.2[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2020.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${COMMON_DEPEND}
+ >=dev-util/meson-1.2.1
+ >=dev-python/cython-0.29.33[${PYTHON_USEDEP}]
+ >=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
+ test? (
+ ${VIRTUALX_DEPEND}
+ ${RECOMMENDED_DEPEND}
+ ${OPTIONAL_DEPEND}
+ >=dev-python/beautifulsoup4-4.11.1[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.46.1[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-3.0.10[${PYTHON_USEDEP}]
+ >=dev-python/pymysql-1.0.2[${PYTHON_USEDEP}]
+ >=dev-python/psycopg-2.9.3:2[${PYTHON_USEDEP}]
+ >=dev-python/xlsxwriter-3.0.3[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ dev-python/tzdata[${PYTHON_USEDEP}]
+ !minimal? ( ${RECOMMENDED_DEPEND} )
+ full-support? ( ${OPTIONAL_DEPEND} )
+"
+
+PATCHES=(
+ # a quick hack, it's already fixed in main
+ "${FILESDIR}/pandas-2.1.1-which.patch"
+ # https://github.com/pandas-dev/pandas/commit/e31a6865958442435ae9b31f312129c44f66eb5e
+ "${FILESDIR}/pandas-2.1.4-khash-dep.patch"
+)
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # test for rounding errors, fails if we have better precision
+ # e.g. on amd64 with FMA or on arm64
+ # https://github.com/pandas-dev/pandas/issues/38921
+ tests/window/test_rolling.py::test_rolling_var_numerical_issues
+
+ # TODO; unhappy about DISPLAY?
+ tests/test_downstream.py::test_seaborn
+
+ # OOMs
+ tests/io/parser/test_c_parser_only.py::test_bytes_exceed_2gb
+
+ # TODO: numexpr says "forbidden control characters"
+ tests/computation/test_eval.py::TestOperations::test_multi_line_expression_local_variable
+ 'tests/computation/test_eval.py::test_query_token[numexpr-Temp(\xb0C)]'
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_lots_of_operators_string
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_multiple_spaces
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_parenthesis
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_start_with_spaces
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_local_syntax
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_local_variable_with_in
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_nested_scope
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_query_scope
+
+ # TODO: missing data not covered by --no-strict-data-files?
+ tests/io/xml/test_xml.py::test_empty_stylesheet
+ tests/io/xml/test_xml.py::test_wrong_file_path
+
+ # TODO
+ tests/frame/test_arithmetic.py::TestFrameFlexArithmetic::test_floordiv_axis0_numexpr_path
+
+ # deprecation warning
+ tests/io/pytables/test_retain_attributes.py::test_retain_index_attributes2
+ 'tests/computation/test_eval.py::TestEval::test_scalar_unary[numexpr-pandas]'
+
+ # Needs 64-bit time_t (TODO: split into 32-bit arch only section)
+ tests/tseries/offsets/test_year.py::test_add_out_of_pydatetime_range
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessDay]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessHour]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BQuarterEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BQuarterBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessDay]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessHour]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-MonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-MonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-SemiMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-SemiMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-QuarterEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-LastWeekOfMonth]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-WeekOfMonth]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-Week]'
+
+ # hdf / pytables have alignment problems: bug #911660
+ # https://github.com/pandas-dev/pandas/issues/54396
+ tests/io/pytables/test_append.py::test_append_frame_column_oriented
+ tests/io/pytables/test_store.py::test_select_filter_corner
+
+ # blosc2 version
+ tests/io/pytables/test_file_handling.py::test_complibs\[blosc2-{1..9}\]
+ )
+
+ case ${EPYTHON} in
+ python3.12)
+ EPYTEST_DESELECT+=(
+ tests/io/pytables/test_select.py::test_select_dtypes
+ tests/io/pytables/test_select.py::test_frame_select
+ # deprecation warnings
+ tests/io/excel/test_writers.py::TestRoundTrip::test_read_excel_parse_dates
+ # some pytest-xdist problem?
+ tests/base/test_unique.py::test_unique_bad_unicode
+ )
+ ;;
+ esac
+
+ local -x LC_ALL=C.UTF-8
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ "${EPYTHON}" -c "import pandas; pandas.show_versions()" || die
+ # --no-strict-data-files is necessary since upstream prevents data
+ # files from even being included in GitHub archives, sigh
+ # https://github.com/pandas-dev/pandas/issues/54907
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest pandas/tests \
+ --no-strict-data-files \
+ -m "not single and not slow and not network" ||
+ die "Tests failed with ${EPYTHON}"
+ rm test-data.xml || die
+}
+
+pkg_postinst() {
+ optfeature "accelerating certain types of NaN evaluations, using specialized cython routines to achieve large speedups." dev-python/bottleneck
+ optfeature "accelerating certain numerical operations, using multiple cores as well as smart chunking and caching to achieve large speedups" ">=dev-python/numexpr-2.1"
+ optfeature "needed for pandas.io.html.read_html" dev-python/beautifulsoup4 dev-python/html5lib dev-python/lxml
+ optfeature "for msgpack compression using blosc" dev-python/blosc
+ optfeature "Template engine for conditional HTML formatting" dev-python/jinja
+ optfeature "Plotting support" dev-python/matplotlib
+ optfeature "Needed for Excel I/O" ">=dev-python/openpyxl-3.0.10" dev-python/xlsxwriter dev-python/xlrd dev-python/xlwt
+ optfeature "necessary for HDF5-based storage" ">=dev-python/tables-3.7.0"
+ optfeature "R I/O support" dev-python/rpy
+ optfeature "Needed for parts of pandas.stats" dev-python/statsmodels
+ optfeature "SQL database support" ">=dev-python/sqlalchemy-1.4.36"
+ optfeature "miscellaneous statistical functions" dev-python/scipy
+ optfeature "necessary to use pandas.io.clipboard.read_clipboard support" dev-python/PyQt5 dev-python/QtPy dev-python/pygtk x11-misc/xclip x11-misc/xsel
+}
diff --git a/dev-python/python-socks/Manifest b/dev-python/python-socks/Manifest
index 37850aeb4413..f6980379667c 100644
--- a/dev-python/python-socks/Manifest
+++ b/dev-python/python-socks/Manifest
@@ -1,3 +1,5 @@
DIST python-socks-2.4.3.gh.tar.gz 32006 BLAKE2B 571c04e5b12ddff3e6d813b547b43899883ef132ad0e55c2fce33ae9e4cd63ca588fb700aba7e2ea5c021f55c7aeae0f8213d2aa8fca3d7bff502b7bd00ca854 SHA512 5ef55367b1fae2249690df0eb8ea55284f02287115b14e8b7ebeeed9ae3e8ed431e17247f369323651daa1177ac8c6dd207d5dd188134e04eff178dc240b9b8b
+DIST python-socks-2.4.4.gh.tar.gz 31998 BLAKE2B c3aa137ff679790420ded9644987eed23695c82a5621c420350ad52ca8121215326575f4c389912fb646151fc84187bfab38674ff6dc2a2f3587c4662f51c0f6 SHA512 a357fbd16cf653555bb624103732041efa80b1ae21a6347fdcb609de3cc58227ac053d21b62124fd77b21a16b19a2786bc1a8c33cc3b50dcffb3023bd6704f57
EBUILD python-socks-2.4.3.ebuild 1294 BLAKE2B 4855bc0e8d916510a8e4fed16e2a83faa9a7f937aee679bd1ffdcf726ae33ad8c9bf4064d7a92c34a047f3e358976d16d998f48ff2c47dcfb2fa2eefc06d0f55 SHA512 05b6643cf85bbeb433144330f3ecf2b21e785885ae0528f0744bddee7721f80e99325c654681a4dabdf436a1656fcde115ddb3c9f1680e0e012b9669ad6f475f
+EBUILD python-socks-2.4.4.ebuild 1302 BLAKE2B 402dc7ee78b0824413eaba01d994f6a1eaafd23ae8ef5b89a90d512e4f86624ee74c329d1c9a8b21cb304e8575e1b366988dc29ffd99d3472fcd990ab23b82f8 SHA512 82aaf2ebd43caf61deb8eae64c7c5b1ca566175bb3b9dd9c624f412363759cda97937d2b500a318cc175f3909a4e8434a2f1b898964e3a35cc2e1a3d31fdfa6d
MISC metadata.xml 380 BLAKE2B 2209abdbafd26baae585840e774843c37e0c6103fa93d75e8c1ddbc8dd1b96f269a3e76f14c39a55294d4d642d7fbe9f87c6b1a0b64152c671590a9e0a6ef959 SHA512 ccbb1a5c9fd05ae1da346f4f92efe156921f7adf9f5544635a407ba4a8154c896bda2e445e05e70a8e46c2829b8d4a38d3bf5d73804a3641c811acd2be62099a
diff --git a/dev-python/python-socks/python-socks-2.4.4.ebuild b/dev-python/python-socks/python-socks-2.4.4.ebuild
new file mode 100644
index 000000000000..de1dfe5d6c9b
--- /dev/null
+++ b/dev-python/python-socks/python-socks-2.4.4.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="SOCKS4, SOCKS5, HTTP tunneling functionality for Python"
+HOMEPAGE="
+ https://github.com/romis2012/python-socks/
+ https://pypi.org/project/python-socks/
+"
+SRC_URI="
+ https://github.com/romis2012/python-socks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# curio is not packaged
+# asyncio is the only backend we have, so dep on its deps unconditionally
+# TODO: revisit
+RDEPEND="
+ dev-python/async-timeout[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/anyio-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/async-timeout-3.0.1[${PYTHON_USEDEP}]
+ >=dev-python/flask-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.18.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-trio-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/tiny-proxy-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.16.0[${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.4.2[${PYTHON_USEDEP}]
+ )
+"
+
+# Test markers exist to exclude trio etc if needed
+distutils_enable_tests pytest
diff --git a/dev-python/quantities/Manifest b/dev-python/quantities/Manifest
index ce2bf672b65a..541567c224de 100644
--- a/dev-python/quantities/Manifest
+++ b/dev-python/quantities/Manifest
@@ -1,3 +1,5 @@
DIST python-quantities-0.14.1.gh.tar.gz 84275 BLAKE2B 7760a46f9f893a87badcbfd8aaad6a5598013b0cc835f17e0b788d3329be35702532fa17dc581ab0db4064292d6521d39d3ada7819c9a6c7b0e8a9b568d343dd SHA512 16c12110c2a705e4016d9575beb7f3322c3590cd12091a2710eca48fd6927b07b0d564ef93eb8af0b21688a0e86df1e60abb45625234abfaf1fa414e8b9fd110
+DIST python-quantities-0.15.0.gh.tar.gz 91327 BLAKE2B b75371e99b0f270d97cf6e9b80df1e7a0afa8ae8eb5d18750196e9b874737d58d3e3189ef9fdca4b312d24a19b406fe21f7eb304f0c1f11987873528190ca2e4 SHA512 987fb30d25a7b14e681d6eb963fc2cc68f954d017eca256739e897062249fce606adcb3224e3c8f0d371e49904caef7171a9a8ba4a7e60baa2fe063004846439
EBUILD quantities-0.14.1.ebuild 788 BLAKE2B 3fde07b2c73fcf3c21bd88bd16a60e795b3e767d5d0273169a682a71c20b3dc0cabcf4a18f392f2fe4bddb5f9783729e77debf589be01d257e1ff8f78c6972bd SHA512 2988041876299354fe0466b7f85ccb1078cc41d8ad3ba70e6f48b846ea52fba97acfe764d944ebc17205342cbd518df3c51ba5d061d1a58f24cb126e4859021c
+EBUILD quantities-0.15.0.ebuild 844 BLAKE2B 0ca5ba6980885444cb4e9adc9477d71270a0262602b9528ee9f21de0298a3a45253414da07d464201fa8cb7c743a6e207b260e0fb2fb55e5874a3c0c709631d1 SHA512 c9cfd8338479d1d32e7e588f9d60c9b423286bf86e5bc9730e976e5af84117bfb6cf7ad0d108efecf66636e6346ed65393f73437ec3dc33466138e945b1e0cbb
MISC metadata.xml 645 BLAKE2B d6965f033a9f7b6e78c5b2dcadda6a036ec1becac8cdd4bf3a7d2a7d0739cca4b51c29f874eebedc963d5a54d1906dc18a8ba628e44b4d3d12c81c91f6f97b29 SHA512 d2f88066eb81f72611dd94b323c9d42dbdb02d0953cb43a06b991bc7b134cff85d86979aabc155dee463645ab984127bdebfa7ca125ba36febaea451dad39143
diff --git a/dev-python/quantities/quantities-0.15.0.ebuild b/dev-python/quantities/quantities-0.15.0.ebuild
new file mode 100644
index 000000000000..2ccb46a9debf
--- /dev/null
+++ b/dev-python/quantities/quantities-0.15.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P="python-quantities-${PV}"
+DESCRIPTION="Support for physical quantities with units, based on numpy"
+HOMEPAGE="
+ https://github.com/python-quantities/python-quantities/
+ https://pypi.org/project/quantities/
+"
+SRC_URI="
+ https://github.com/python-quantities/python-quantities/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/numpy-1.20[$PYTHON_USEDEP]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ epytest --pyargs quantities.tests
+}
diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index f58251b7eb5b..78b2757d7e6d 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -2,8 +2,10 @@ DIST stripe-7.4.0.tar.gz 743353 BLAKE2B 30246bf8c5c922fe1ab906757fef064d4f6eea69
DIST stripe-7.6.0.tar.gz 743504 BLAKE2B 32b82cd34241f00c259edc3e0d46d25337cd2490e6c3f4fb9d90d13e785f5e844fbaf66b224a7ae2ac7643d80b90eb36fde465ffdae058ded7741cb53dca5ec6 SHA512 5383ee5bc7e128840f9a1a738eca3bd6ce4a98df554243308d3b6fc667b519b996fc63d34c29abfc4f2f9082e8062aaf9aacdb3edb70e4ef2a6556228926daa2
DIST stripe-7.7.0.tar.gz 747906 BLAKE2B 40d6f4cdbefef54df8aa84529c879f9cfe3b36fafb35cdc12e98513ae63e3fc41a38174def79adf2e891445502771437489f73010b206a005a02883ef51400fd SHA512 988bf67fce52c5b48e8a7d0d6dac408fd5bc1bd3cbd0d80b06ab5b7b8c44a5daa231c6f3f5e563cea2a717cbec56ae4a83eac9526a463074ff3d1d2cb68a6b92
DIST stripe-7.8.0.tar.gz 768444 BLAKE2B 8262f097cfac300db6f12ef9781b28b4841bed7f23f1fa72e4c147702008e3f44b50f8bdcbaa5144607f95fac8db519536d996d0dd1457233f11e4e2b705eb78 SHA512 969ce4b59e5a16735c556132c9f5bb9c134cc32fd385d69e52495ae20e0367f0acb5f24f3e1c025c851aa119ce5f2490f06fa320bfcd5712ae4609cbb6b22256
+DIST stripe-7.8.1.tar.gz 768885 BLAKE2B 4e38fec0751fe7314e42303230d602b5f16daa40d833c749c29fa68cdd954cb604a2a0bcc7527253852499920ab5981629ca325d739fc56330bac4ab31b2bbd4 SHA512 cbee9cc0133fa18efa6582da032685fa44cd0446a2d032015410ca60a68ae5ce4a6dc5f82cedb24b1acc09a3c638e0f59f85e72798ee55603039b6fad27fe98e
EBUILD stripe-7.4.0.ebuild 1969 BLAKE2B 2051889d37342fcde47305b9055be88780e30ca41e504d6c4e1c67302706f8663fbb448b442b0b6fff77a4aff8047a904860d2dd4d7689bf76ebe2071997e659 SHA512 3ba3363d9b44c66cf9ebec472b76885da3e4d7b55a6227e6d54e7dc564fe5b5702d3884fb860bbcdcdfee1f11f427c1ca21480b7ebcf7d79d09d0adb1f3d8e83
EBUILD stripe-7.6.0.ebuild 1978 BLAKE2B fbb8f1492756a0cff2a7316251f71dd916bb5d3b2d29a42920203c03e804e3eef7b75520f0bc16ccef0850ff8ac945388ae37d5c61249f28f4f85dbfe4d209b3 SHA512 0899159eabcb564071564f777ff8e73aca77bed42e544c17362c63e814ffe899227a8ea42d36820a025c26d07e1845973a51847b1e636034d964417b2145b16e
EBUILD stripe-7.7.0.ebuild 1978 BLAKE2B fbb8f1492756a0cff2a7316251f71dd916bb5d3b2d29a42920203c03e804e3eef7b75520f0bc16ccef0850ff8ac945388ae37d5c61249f28f4f85dbfe4d209b3 SHA512 0899159eabcb564071564f777ff8e73aca77bed42e544c17362c63e814ffe899227a8ea42d36820a025c26d07e1845973a51847b1e636034d964417b2145b16e
EBUILD stripe-7.8.0.ebuild 1978 BLAKE2B fbb8f1492756a0cff2a7316251f71dd916bb5d3b2d29a42920203c03e804e3eef7b75520f0bc16ccef0850ff8ac945388ae37d5c61249f28f4f85dbfe4d209b3 SHA512 0899159eabcb564071564f777ff8e73aca77bed42e544c17362c63e814ffe899227a8ea42d36820a025c26d07e1845973a51847b1e636034d964417b2145b16e
+EBUILD stripe-7.8.1.ebuild 1978 BLAKE2B fbb8f1492756a0cff2a7316251f71dd916bb5d3b2d29a42920203c03e804e3eef7b75520f0bc16ccef0850ff8ac945388ae37d5c61249f28f4f85dbfe4d209b3 SHA512 0899159eabcb564071564f777ff8e73aca77bed42e544c17362c63e814ffe899227a8ea42d36820a025c26d07e1845973a51847b1e636034d964417b2145b16e
MISC metadata.xml 372 BLAKE2B e6a38fdec6fc016068e7a0522ba15e83bf358ba1475e54a9630b1e86c75bc14b790c59716317bd81438a1c770e4d31afbe04400ddcd5dd272715c251fd6cb1a2 SHA512 2d9672b242f2d38654f7906097e597dfbdf75afa3583ea331f61772db95d19a802e83ed523c67a6cf3da18411036055c0996fd04d99199618d5205be8a61bd77
diff --git a/dev-python/stripe/stripe-7.8.1.ebuild b/dev-python/stripe/stripe-7.8.1.ebuild
new file mode 100644
index 000000000000..a5deb252c18b
--- /dev/null
+++ b/dev-python/stripe/stripe-7.8.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Stripe python bindings"
+HOMEPAGE="
+ https://github.com/stripe/stripe-python/
+ https://pypi.org/project/stripe/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.5.0[${PYTHON_USEDEP}]
+"
+# please bump dev-util/stripe-mock dep to the latest version on every bump
+BDEPEND="
+ test? (
+ >=dev-util/stripe-mock-0.178.0
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ net-misc/curl
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( LONG_DESCRIPTION.rst CHANGELOG.md README.md )
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests -p pytest_mock
+}
+
+src_test() {
+ local stripe_mock_port=12111
+ local stripe_mock_max_port=12121
+ local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+ # Try to start stripe-mock until we find a free port
+ while [[ ${stripe_mock_port} -le ${stripe_mock_max_port} ]]; do
+ ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+ stripe-mock --http-port "${stripe_mock_port}" &> "${stripe_mock_logfile}" &
+ local stripe_mock_pid=${!}
+ sleep 2
+ # Did stripe-mock start?
+ curl --fail -u "sk_test_123:" \
+ "http://127.0.0.1:${stripe_mock_port}/v1/customers" &> /dev/null
+ eend ${?} "Port ${stripe_mock_port} unavailable"
+ if [[ ${?} -eq 0 ]]; then
+ einfo "stripe-mock running on port ${stripe_mock_port}"
+ break
+ fi
+ (( stripe_mock_port++ ))
+ done
+ if [[ ${stripe_mock_port} -gt ${stripe_mock_max_port} ]]; then
+ eerror "Unable to start stripe-mock for tests"
+ die "Please see the logfile located at: ${stripe_mock_logfile}"
+ fi
+
+ local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+ distutils-r1_src_test
+
+ # Tear down stripe-mock
+ kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}
diff --git a/dev-python/xarray/Manifest b/dev-python/xarray/Manifest
index 40b7bfd7b9d7..9a7acc828974 100644
--- a/dev-python/xarray/Manifest
+++ b/dev-python/xarray/Manifest
@@ -1,8 +1,10 @@
DIST xarray-2023.10.1.tar.gz 3796343 BLAKE2B 8c4bcccf977bf22dcb7495a35b507b113cf888819c202f4bdd90fb0146b1a8c75d79337f7dedad5d248330a2cc2dcfb07dae4faa60d90e611e1418be530c2ee4 SHA512 1fe193fc2fbd31d7478bd3152f8322f0c20e312518d1f607b483d2b9c3c19d84fb175319fa55fc01d5da13ee471c60c1976617e33760d10168d6fc7b556aeac4
DIST xarray-2023.11.0.tar.gz 3800529 BLAKE2B 45b54588e3178c5104f40741cf2a3cb6403a0ab199ad1b24a6b2da9cb19649184ba4ca516d54002753ba62c7df6e80dde3b25c68cd63d65dd076b412219de3bc SHA512 fe84884b9147683d61d68233c703d07617f61638d84e28f94c9b9f1fdddf942c563af20a15c6d765b0ff169fe0985d74d7cb4d35d42c3988f62263e55e3e9071
+DIST xarray-2023.12.0.tar.gz 3602114 BLAKE2B f6753772d3ea5c5a79afb2e55e0fd9df764d18d9dbd5598dd6ddd8f36dcf96695b542b824f09f049190cc563d4a90b25b5a04e8f1babb262b02955e3f06f8f7c SHA512 a07b5d0b50949c4b3eff5055f5b225d0ab63a223c54b292ea067c9aae748c3f13d130713a146eb590596fdf96cad12bbf2f65fef2117f0b271b3d8c2ad33c9ca
DIST xarray-2023.9.0.tar.gz 3776743 BLAKE2B 38433f7898db2b53f31db134b110fea743ea5886c33f8f8390b85cda18c1a1d7d178681e4e442ecc39f2f19ae4b761f94b38ccab27e8e20c3463f4364f1222dd SHA512 d6c1e6ff438415766dedada5841413b9c7514dc2b1bf71a4adb17df4d78b68f5f22cded09c20511e4e2e85ac3284c447fc13191397b7ae77d1294d7867e3ac3f
EBUILD xarray-2023.10.1-r1.ebuild 3403 BLAKE2B da5c6e1588874c57ae07866fe492449339742061c09a425afee089b61ec3cf84320daf6eff06b3363b94c886f0cd20ba48f9f551e92947cd39062b1269432eff SHA512 725a4ef07f07b54bf62e94e7be2fa1f193d56f5530bb6ff19867210f584eb9fbd279346192a73671cc598d5e2bb8622bf1668f58e09f51f7df2ea094b8c62f9e
EBUILD xarray-2023.10.1.ebuild 2157 BLAKE2B 26b38d24b7d40211ab2601fc30fe35706f247aa0267b03b310d971e2f0fd9dabe50b911d90b44186bd08b534fbc6253fe44fc2afd47b9e9bfb1ed2da10025bbf SHA512 b888fb6e47ef9a5df988338a48d3f4a6148e00a989d59f8092b7b4bda4486dfffd3e9bc9fc39dd7091e7d163af99983ac462a6bf03e0a071a4c1a2f34da21a97
EBUILD xarray-2023.11.0.ebuild 3315 BLAKE2B 9c0364943ac51cb44126ab4a9c3adec7c7f7047af63f0c303eba06eed57f7ab1d5451fe0ae5df13b5ea4901a192f61cb7f364af39ca244c7766d5f6c9d27c508 SHA512 c4e00b70c918c791ec81cbcbb76db55e7cd770c193262b67aba25e11361f8d32a7e3d6875dc2b4a8bf3f129cd8664cfdfde41061242802d8dae9a523fd859e1d
+EBUILD xarray-2023.12.0.ebuild 3315 BLAKE2B 9c0364943ac51cb44126ab4a9c3adec7c7f7047af63f0c303eba06eed57f7ab1d5451fe0ae5df13b5ea4901a192f61cb7f364af39ca244c7766d5f6c9d27c508 SHA512 c4e00b70c918c791ec81cbcbb76db55e7cd770c193262b67aba25e11361f8d32a7e3d6875dc2b4a8bf3f129cd8664cfdfde41061242802d8dae9a523fd859e1d
EBUILD xarray-2023.9.0.ebuild 2156 BLAKE2B a383efc4e5cb2c95f9b29afd0da35c2542f60d0445b974a707215cecfdfa1032536cf62f5b52d40cfe6ed3cc35de2ccdce3357c2c86c682902eb56043f2009b5 SHA512 75bf7fde06b2ac525ddc5b4ac61a2a1314fb7ae4ea240632635d3d519a39695738df5bb3123dd3b8c06150bbfc9327191d6c9a02a215d15c244adce458c0a3a1
MISC metadata.xml 509 BLAKE2B d470cc092eb055215a5868c22f9ec458057cfad600357fa1f658ed4537a6a6f68bda1422c4a665f1963ce0a6049e691befc3ca4baa60cc898364ad5f18164979 SHA512 602755896a3655295058afc8543a4bb64192d5c625f2edd86291c1f23d171f051a4238466163c2d469874aff3e68770fc76177e720870492266fb14e6faf6ce7
diff --git a/dev-python/xarray/xarray-2023.12.0.ebuild b/dev-python/xarray/xarray-2023.12.0.ebuild
new file mode 100644
index 000000000000..3e5ed4fffc4a
--- /dev/null
+++ b/dev-python/xarray/xarray-2023.12.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="N-D labeled arrays and datasets in Python"
+HOMEPAGE="
+ https://xarray.pydata.org/
+ https://github.com/pydata/xarray/
+ https://pypi.org/project/xarray/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="big-endian"
+
+RDEPEND="
+ >=dev-python/numpy-1.22[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.4[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+"
+# note: most of the test dependencies are optional
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/bottleneck[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/toolz[${PYTHON_USEDEP}]
+ !hppa? ( >=dev-python/scipy-1.4[${PYTHON_USEDEP}] )
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # warning-targeted tests are fragile and not important to end users
+ xarray/tests/test_backends.py::test_no_warning_from_dask_effective_get
+ # TODO: segv in netcdf4-python
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-5-5]'
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-5-None]'
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-None-5]'
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-None-None]'
+ xarray/tests/test_backends.py::TestDask::test_save_mfdataset_compute_false_roundtrip
+ # hangs
+ xarray/tests/test_backends.py::TestDask::test_dask_roundtrip
+ # mismatches when pyarrow is installed
+ # https://github.com/pydata/xarray/issues/8092
+ xarray/tests/test_dask.py::TestToDaskDataFrame::test_to_dask_dataframe_2D
+ xarray/tests/test_dask.py::TestToDaskDataFrame::test_to_dask_dataframe_not_daskarray
+)
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+ if ! has_version ">=dev-python/scipy-1.4[${PYTHON_USEDEP}]" ; then
+ EPYTEST_DESELECT+=(
+ 'xarray/tests/test_missing.py::test_interpolate_na_2d[coords1]'
+ )
+ fi
+
+ if use big-endian ; then
+ EPYTEST_DESELECT+=(
+ # Appears to be a numpy issue in display? See bug #916460.
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-20-True]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-09-21T00:12:44.145224808-ns-float64-1e+30-True]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225216-ns-float64--9.223372036854776e+18-True]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-None-False]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225-us-int64-None-False]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-01-01T00:00:01.000001-us-int64-None-False]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:21:52.901038080-ns-float32-20.0-True]'
+ )
+ fi
+
+ epytest
+}